import type { IGatsbyNode } from "../redux/types";
import type { GatsbyIterable } from "../datastore/common/iterable";
declare type data = IGatsbyNode | GatsbyIterable<IGatsbyNode>;
/**
 * Make data serializable
 * @param {(Object|Array)} data to sanitize
 * @param {boolean} isNode = true
 * @param {Set<string>} path = new Set
 */
declare type sanitizeNode = (data: data, isNode?: boolean, path?: Set<unknown>) => data | undefined;
declare const sanitizeNode: sanitizeNode;
export default sanitizeNode;
